<?php

            $DEFCFG->config['adminuser']->name = ("Administration panel username");
            $DEFCFG->config['adminuser']->description = ("Username to log into this admin panel in future to change your settings.");
            $DEFCFG->config['adminuser']->type = "requiredstring";
            $DEFCFG->config['adminuser']->important = true;
            $DEFCFG->config['adminpassword']->name = ("Admin password");
            $DEFCFG->config['adminpassword']->description = ("Password to log into this admin panel in future.");
            $DEFCFG->config['adminpassword']->type = "requiredstring";
            $DEFCFG->config['adminpassword']->important = true;
            $DEFCFG->config['sitename']->name = ("Site name");
            $DEFCFG->config['sitename']->description = ("Enter the name of your site here (eg Elgg, Apcala, University of Bogton's Social Network, etc)");
            $DEFCFG->config['sitename']->important = true;
            $DEFCFG->config['tagline']->name = ("Tagline");
            $DEFCFG->config['tagline']->description = ("A tagline for your site (eg 'Social network for Bogton')");
            $DEFCFG->config['wwwroot']->name = ("Web root");
            $DEFCFG->config['wwwroot']->description = ("External URL to the site (eg http://elgg.bogton.edu/). NB: **MUST** have a final slash at the end");
            $DEFCFG->config['wwwroot']->important = true;
            $DEFCFG->config['dirroot']->name = ("Elgg install root");
            $DEFCFG->config['dirroot']->description = ("Physical path to the files (eg /home/elggserver/httpdocs/). NB: **MUST** have a final slash at the end");
            $DEFCFG->config['dirroot']->important = true;
            $DEFCFG->config['dataroot']->name = ("Elgg data root");
            $DEFCFG->config['dataroot']->description = ("This is a special directory where uploaded files will go. If possible, this should live outside your main Elgg install (you'll need to create it by hand). It must have world writable permissions set, and have a final slash at the end.");
            $DEFCFG->config['dataroot']->important = true;
            $DEFCFG->config['dbtype']->name = ("Database type");
            $DEFCFG->config['dbtype']->description = ("Acceptable values are 'mysql' and 'postgres' - MySQL is highly recommended");
            $DEFCFG->config['dbtype']->important = true;
            $DEFCFG->config['dbname']->name = ("Database name");
            $DEFCFG->config['dbname']->important = true;
            $DEFCFG->config['dbhost']->name = ("Database host");
            $DEFCFG->config['dbhost']->important = true;
            $DEFCFG->config['dbuser']->name = ("Database user");
            $DEFCFG->config['dbuser']->important = true;
            $DEFCFG->config['dbpass']->name = ("Database password");
            $DEFCFG->config['dbpass']->important = true;
            $DEFCFG->config['prefix']->name = ("Database table prefix");
            $DEFCFG->config['prefix']->description = ("All database tables will start with this; we recommend 'elgg'");
            $DEFCFG->config['prefix']->important = true;
            $DEFCFG->config['sysadminemail']->name = ("System administrator email");
            $DEFCFG->config['sysadminemail']->description = ("The email address your site will send email from (eg elgg-admin@bogton.edu)");
            $DEFCFG->config['sysadminemail']->important = true;
            $DEFCFG->config['newsinitialpassword']->name = ("News account initial password");
            $DEFCFG->config['newsinitialpassword']->description = ("The initial password for the 'news' account. This will be the first administrator user within your system, and you should change the password immediately after the first time you log in");
            $DEFCFG->config['newsinitialpassword']->important = true;
            $DEFCFG->config['defaultlocale']->name = ("Default locale");
            $DEFCFG->config['defaultlocale']->description = ("Country code to set language to if you have gettext installed");
            $DEFCFG->config['publicreg']->name = ("Public registration");
            $DEFCFG->config['publicreg']->description = ("Can general members of the public register for this system?");
            $DEFCFG->config['publicreg']->type = "boolean";
            $DEFCFG->config['publicinvite']->name = ("Public invitations");
            $DEFCFG->config['publicinvite']->description = ("Can users of this system invite other users in?");
            $DEFCFG->config['publicinvite']->type = "boolean";
            $DEFCFG->config['maxusers']->name = ("Maximum users");
            $DEFCFG->config['maxusers']->description = ("The maximum number of users in your system. If you set this to 0, you will have an unlimited number of users");
            $DEFCFG->config['maxusers']->type = "integer";
            $DEFCFG->config['maxspace']->name = ("Maximum disk space");
            $DEFCFG->config['maxspace']->description = ("The maximum disk space taken up by all uploaded files");
            $DEFCFG->config['maxspace']->type = "integer";
            $DEFCFG->config['walledgarden']->name = ("Walled garden");
            $DEFCFG->config['walledgarden']->description = ("If your site is a walled garden, nobody can see anything from the outside. This will also mean that RSS feeds won't work");
            $DEFCFG->config['walledgarden']->type = "boolean";
            $DEFCFG->config['disable_publiccomments']->name = ("Disable public comments");
            $DEFCFG->config['disable_publiccomments']->description = ("Set the following to true to force users to log in before they can post comments, overriding the per-user option. This is a handy sledgehammer-to-crack-a-nut tactic to protect against comment spam (although an Akismet plugin is available from elgg.org).");
            $DEFCFG->config['disable_publiccomments']->type = "boolean";
            $DEFCFG->config['emailfilter']->name = ("Email filter");
            $DEFCFG->config['emailfilter']->description = ("Anything you enter here must be present in the email address of anyone who registers; e.g. @mycompany.com will only allow email address from mycompany.com to register");
            $DEFCFG->config['default_access']->name = ("Default access");
            $DEFCFG->config['default_access']->description = ("The default access level for all new items in the system");
            $DEFCFG->config['default_access']->type = ("access");
            $DEFCFG->config['disable_usertemplates']->name = ("Disable user templates");
            $DEFCFG->config['disable_usertemplates']->description = ("If this is set, users can only choose from available templates rather than defining their own");
            $DEFCFG->config['disable_usertemplates']->type = "boolean";
            $DEFCFG->config['disable_templatechanging']->name = ("Disable template changing");
            $DEFCFG->config['disable_templatechanging']->description = ("Users cannot change their template at all");
            $DEFCFG->config['disable_templatechanging']->type = "boolean";
            $DEFCFG->config['dbpersist']->name = ("Persistent connections");
            $DEFCFG->config['dbpersist']->description = ("Should Elgg use persistent database connections?");
            $DEFCFG->config['dbpersist']->type = "boolean";
            $DEFCFG->config['debug']->name = ("Debug");
            $DEFCFG->config['debug']->description = ("Set this to 2047 to get adodb error handling");
            $DEFCFG->config['debug']->type = "integer";
            $DEFCFG->config['rsspostsmaxage']->name = ("RSS posts maximum age");
            $DEFCFG->config['rsspostsmaxage']->description = ("Number of days to keep incoming RSS feed entries for before deleting them. Set this to 0 if you don't want RSS posts to be removed.");
            $DEFCFG->config['rsspostsmaxage']->type = "integer";
            $DEFCFG->config['community_create_flag']->name = ("Community create flag");
            $DEFCFG->config['community_create_flag']->description = ("Set this to 'admin' if you would like to restrict the ability to create communities to admin users.");
            $DEFCFG->config['curlpath']->name = ("CURL path");
            $DEFCFG->config['curlpath']->description = ("Set this to the CURL executable if CURL is installed; otherwise leave blank.");
            $DEFCFG->config['templatesroot']->name = ("Templates location");
            $DEFCFG->config['templatesroot']->description = ("The full path of your Default_Template directory");
            $DEFCFG->config['profilelocation']->name = ("Profile location");
            $DEFCFG->config['profilelocation']->description = ("The full path to your profile configuration file (usually it's best to leave this in mod/profile/)");
            
?>